Bug 1184920 - Review Request: rubygem-rails-dom-testing - Compares doms and assert certain elements exists in doms using Nokogiri
Summary: Review Request: rubygem-rails-dom-testing - Compares doms and assert certain ...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Josef Stribny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1184130
Blocks: 1184910 1184996
TreeView+ depends on / blocked
 
Reported: 2015-01-22 13:09 UTC by Vít Ondruch
Modified: 2016-01-04 05:53 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-01-26 15:16:14 UTC
jstribny: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Vít Ondruch 2015-01-22 13:09:06 UTC
Spec URL: https://fedorapeople.org/cgit/vondruch/public_git/rubygem-rails-dom-testing.git/tree/rubygem-rails-dom-testing.spec?id=a5212605c312a77dd6dbbc4f014be5102b81c1c8
SRPM URL: http://people.redhat.com/vondruch/rubygem-rails-dom-testing-1.0.5-1.fc22.src.rpm
Description: Dom and Selector assertions for Rails applications.
Fedora Account System Username: vondruch

Comment 1 Josef Stribny 2015-01-26 08:44:22 UTC
I will take it for a review.

Comment 2 Josef Stribny 2015-01-26 08:57:26 UTC
* Extra space before a dot: 

"Dom and Selector assertions for Rails applications ."

* Wrong upstream URL:

https://github.com/rails/rails-dom-testing is the new official URL from which the latest release comes from. Upstream should probably fix that in .gemspec.

Otherwise everything looks sane, package builds and runs, rpmlint does not complain about anything meaningful. ==> APPROVED. Please fix the above before pushing.

Comment 3 Vít Ondruch 2015-01-26 09:10:21 UTC
(In reply to Josef Stribny from comment #2)
> * Extra space before a dot: 
> 
> "Dom and Selector assertions for Rails applications ."

I already fixed this locally.
 
> * Wrong upstream URL:
> 
> https://github.com/rails/rails-dom-testing is the new official URL from
> which the latest release comes from. Upstream should probably fix that in
> .gemspec.

Hmm, not sure about this. I checked the former URL and the URL you are referencing and both are valid/the same ATM, where the one in .gemspec is fork of the one you are referencing. I prefer to keep the .gemspec one ATM and will see what will future bring.

> Otherwise everything looks sane, package builds and runs, rpmlint does not
> complain about anything meaningful. ==> APPROVED. Please fix the above
> before pushing.

Thanks for the review.


New Package SCM Request
=======================
Package Name: rubygem-rails-dom-testing
Short Description: Compares doms and assert certain elements exists in doms using Nokogiri
Upstream URL: https://github.com/kaspth/rails-dom-testing
Owners: vondruch jstribny
Branches: 
InitialCC:

Comment 4 Gwyn Ciesla 2015-01-26 14:06:22 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.